//
//
//
#ifndef SWITCHED_FILTERS_H
#define SWITCHED_FILTERS_H

#define NUM_SIFO                        3             // Number of filters
#define NORM_FACTOR                     0.5

// #define USE_THIRD_PASS_P

#define HPF_SIFO                        3             // input->UseHPFilter

// Defines for img->filterParam
#define SIFO_FIRST_PASS                 0
#define SIFO_SEQ_FILTER                 1
#define SIFO_FRAME_FILTER_WITH_OFFSET   2 

void SwapFilteredFrames(void);                        // slice.c
void UnifiedOneForthPixFiltSel(int filterParam);      // slice.c
void rdPictureCodingFilterP(void);                    // image.c
void rdPictureCodingFilterB(void);                    // image.c
void initSIFOFilters();                               // mbuffer.c

#endif  // SWITCHED_FILTERS_H

